# getProfilePhoto

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/colleagues/{id}/photo |

| Field | Value |
|---|---|
| operationId | getProfilePhoto |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /colleagues/{id}/photo |
| tags | `Colleagues & Profiles` |
| summary | Get colleague profile photo (public) |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | Photo binary stream (image/jpeg) |  |
| 404 | No photo exists for this colleague | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Photo not found",
  "error": "PHOTO_NOT_FOUND"
}
```
